## eta 1.0.1

=== Makefile ===
CC = gcc
CFLAGS ?= -Wall
SRC := src
OBJ := obj

PREFIX ?= /usr/local

SOURCES := $(wildcard $(SRC)/*.c)
OBJECTS := $(patsubst $(SRC)/%.c, $(OBJ)/%.o, $(SOURCES))

eta: $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $^ $(LDFLAGS) -o $@

$(OBJ)/%.o: $(SRC)/%.c
	mkdir -p $(OBJ)
	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(SRC) -c $< $(LDFLAGS) -o $@

srcdist:
	tar cfz eta-1.0.tar.gz --transform 's,^,eta-1.0/,' docs/ LICENSE Makefile src/

install: eta
	install -D eta \
	        $(DESTDIR)$(PREFIX)/bin/eta
	install -m 664 -D docs/eta.1 \
	        $(DESTDIR)$(PREFIX)/share/man/man1/eta.1

uninstall:
	-rm -f $(DESTDIR)$(PREFIX)/bin/eta \
	       $(DESTDIR)$(PREFIX)/share/man/man1/eta.1

distclean: clean

clean:
	-@rm -rf $(OBJ) ./eta

.PHONY: clean srcdist install uninstall

=== debian/changelog ===
eta (1.0.1-1) unstable; urgency=low

  * Initial release. Closes: #923225

 -- Mark King <mark@vemek.co>  Sat, 30 Oct 2021 14:09:19 +0000

=== debian/control ===
Source: eta
Section: utils
Priority: optional
Maintainer: Mark King <mark@vemek.co>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.1
Homepage: https://github.com/aioobe/eta
Vcs-Browser: https://github.com/aioobe/eta
Vcs-Git: https://github.com/aioobe/eta.git
Rules-Requires-Root: no

Package: eta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for monitoring ETA and progress of an arbitrary process
 ETA is a shell utility to monitor the progress of arbitrary processes. Given a
 target value and a command to run that generates the current value, ETA will
 print a progress bar and an up-to-date estimated time for the process to
 complete. This is useful to monitor a variety of other tools which do not
 output their progress or their time until completion.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
include /usr/share/dpkg/buildflags.mk

export PREFIX=/usr


%:
	dh $@

=== debian/watch ===
version=4
opts=\
pgpmode=next,\
filenamemangle=s/(?:.*\/)?v?@ANY_VERSION@\.tar\.gz/eta-$1.tar.gz/ \
https://github.com/aioobe/eta/releases \
(?:.*/)?v?@ANY_VERSION@\.tar\.gz debian uupdate

opts="pgpmode=previous" \
https://github.com/aioobe/eta/releases \
(?:.*/)v?(1\.0\.1)\.tar\.gz\.asc previous

## eta utility-2.2.2b3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXAPIDOC  ?= sphinx-apidoc
SOURCEDIR     = .
BUILDDIR      = _build
STUBSDIR      = _stubs
MODULEDIR     = ../eta_utility

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXAPIDOC) --tocfile api -e -M -o $(STUBSDIR) $(MODULEDIR) $(O) "_version.py"
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
